*********************************************************************
***                         Replication Material                  ***
***                                                               ***
*** Confronting the Caliphate: Explaining Civil Resistance in     ***
*** 				Jihadist Proto-States						  ***
***                                                               ***
*** 				Contact: dikr@diis.dk                   	  ***
*********************************************************************

*** This replication material contains:

*** 1. Code for the models in Tables 2-3 in Chapter 6.1
*** 2. Supplemental Material/Online Appendix with additional regression models (Tables 7-11)

*******
*  1  *
*******

*** Table 2 ***

logit Success1 Past_resist_3, robust
estat ic
margins, dydx(Past_resist_3) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

*** Table 3 ***

logit Success1 Past_success4 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_success4 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

logit Success1 Past_success1 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_success1 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

logit Success1 past_failure_sub_district Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(past_failure_sub_district Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

logit Success1 past_failure_national Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(past_failure_national Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans


*******
*  2  *
*******

*** Table 7 ***

logit Success2 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

drop if Partially_successful==1

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

logit Success2 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

clear 

*** Table 8 ***

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress2 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress2 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress3 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress3 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3) atmeans

*** Table 9 ***

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 IS_targeted, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 IS_targeted) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Nusra_targeted, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Nusra_targeted) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Jaysh_al_Islam_targeted, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Jaysh_al_Islam_targeted) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rahman_Corps_targeted, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rahman_Corps_targeted) atmeans


*** Table 10 ***

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rate_of_Unemployment_males, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rate_of_Unemployment_males) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rate_of_Illiteracy_male, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Rate_of_Illiteracy_male) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Repressed, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 Repressed) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 estimate_number_participants, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 estimate_number_participants) atmeans

logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 large_participation, robust
estat ic
margins, dydx(Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3 large_participation) atmeans


*** Table 11 ***
logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust

*** Leverage points
predict hat, hat
scatter hat p

/// The suggested rule of thumb is 2 or 3 times the average of hat. The mean is 0.055974, which multiplied with 3 results
/// in the threshold value 0,167922

count if hat>0.167922 & hat!=.

/// 27 observations have high leverage. We now run our main model without these observations (Table 11 in the Appendix)

drop if hat>0.167922 & hat!=.
logit Success1 Past_resist_3 Non_maximalist_demands Multiple_events Past_repress1 Women_actor Urbanization_Adm_3 youth_bulge logpop_Adm3, robust
estat ic

